List Stakes
curl --request GET \
--url https://api.dfns.io/staking/stakes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dfns.io/staking/stakes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dfns.io/staking/stakes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "stk-0pmu3-tog2k-fdtn0teii2i4r13f",
"walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
"requester": {
"userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
"tokenId": "to-202a0-cdo33-o65mbt6q758lvvnt"
},
"requestBody": {
"protocol": "Babylon",
"walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
"provider": "Figment",
"amount": "<string>",
"duration": 123,
"externalId": "<string>"
},
"dateCreated": "2023-04-14T20:41:28.715Z",
"protocol": "Babylon",
"data": {
"finalityProviders": [
"<string>"
],
"covenantPubkeys": [
"<string>"
],
"magicBytes": "<string>",
"covenantThreshold": 123,
"minUnbondingTime": 123,
"lockHeight": 123
},
"provider": "Figment"
}
],
"nextPageToken": "<string>"
}List Stakes
Retrieve the list of stakes.
GET
/
staking
/
stakes
List Stakes
Authorizations
Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
Query Parameters
Maximum number of items to return.
Required range:
1 <= x <= 500Opaque token used to retrieve the next page. Returned as nextPageToken from the previous request.
Minimum string length:
1Last modified on July 20, 2026
Was this page helpful?
⌘I